%bcond_without mead

%define reltag .redhat_2
%define namedversion %{version}-redhat-2

%define maven_version 1.8-redhat-2

Name:           snakeyaml
Version:        1.8
Release:        8%{reltag}%{?dist}.2
Epoch:          0
Summary:        YAML 1.1 parser and emitter for Java
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: org.yaml-snakeyaml-1.8-redhat-2-sources.zip
Source101: org.yaml-snakeyaml-1.8-redhat-2-patches.zip
Source102: snakeyaml-1.8-redhat-2.pom
Source103: snakeyaml-1.8-redhat-2-javadoc.jar
Source104: snakeyaml-1.8-redhat-2.jar
Source105: snakeyaml-1.8-redhat-2-sources.jar
%endif

URL:            http://www.snakeyaml.org

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
YAML 1.1 parser and emitter for Java.

%package javadoc
Group:          Development/Documentation

Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
%{summary}.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# depmaps
%add_to_maven_depmap org.yaml snakeyaml %{namedversion} JPP %{name}

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__unzip} -qq %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/META-INF
(cd %{buildroot}%{_javadocdir} && %{__ln_s} %{name}-%{namedversion} %{name}) 

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}-%{namedversion}-sources.jar
%{_javadir}*/%{name}-sources.jar
%{_javadir}*/%{name}-%{namedversion}.jar
%{_javadir}*/%{name}.jar
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}

%changelog
* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.8-8.redhat_2.2
- Rebuild for MD5

* Mon Aug 20 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.8-7.redhat_2.2
- Update poms for eap 6.0.1

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.8-6.redhat_2.2
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.8-6.redhat_1.1
- Rebuild using cache signing

* Tue Jul 17 2012 Lin Gao <lgao@redhat.com> - 0:1.8-6.redhat_1
- Convert to Mead build

* Fri May 25 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.8-5.redhat_1
- Remove javadoc.jar from main package

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.8-4_redhat_1.1
- Rebuild using cache signing

* Tue Feb 07 2012 Yong Yang <yyang@redhat.com> 0:1.8-4_redhat_1
- Build for Werewolf

* Tue Aug 16 2011 David Walluck <dwalluck@redhat.com> 0:1.8-3.1
- add maven BuildRequires

* Wed Aug 10 2011 David Walluck <dwalluck@redhat.com> 0:1.8-3
- fix install
- fix maven depmap frag
- fix URL

* Wed Aug 10 2011 David Walluck <dwalluck@redhat.com> 0:1.8-2
- fix version

* Wed Aug 10 2011 David Walluck <dwalluck@redhat.com> 0:1.8-1
- release
